Package com.salesforce.hyperdb.grpc

## Interface QueryResultOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `QueryResult`, `QueryResult.Builder`

    public interface QueryResultOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`QueryResultPartBinary` `getBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResultPartBinaryOrBuilder` `getBinaryPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`QueryResult.ResultCase` `getResultCase()`
`QueryResultPartString` `getStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`QueryResultPartStringOrBuilder` `getStringPartOrBuilder()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`
`boolean` `hasBinaryPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`
`boolean` `hasStringPart()` `.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasBinaryPart

    boolean hasBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

Returns:
  Whether the binaryPart field is set.

#### getBinaryPart

    QueryResultPartBinary getBinaryPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

Returns:
  The binaryPart.

#### getBinaryPartOrBuilder

    QueryResultPartBinaryOrBuilder getBinaryPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartBinary binary_part = 1;`

#### hasStringPart

    boolean hasStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

Returns:
  Whether the stringPart field is set.

#### getStringPart

    QueryResultPartString getStringPart()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

Returns:
  The stringPart.

#### getStringPartOrBuilder

    QueryResultPartStringOrBuilder getStringPartOrBuilder()

`.salesforce.hyperdb.grpc.v1.QueryResultPartString string_part = 2;`

#### getResultCase

    QueryResult.ResultCase getResultCase()